petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPGetErrorIfNotConverged

Will KSPSolve() generate an error if the solver does not converge?

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetErrorIfNotConverged(KSP ksp,PetscBool  *flag)

Not Collective

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Output Parameter

flag -PETSC_TRUE if it will generate an error, else PETSC_FALSE

### See Also

KSPSetErrorIfNotConverged(), KSP

### Level

intermediate

### Location

src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages